OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TFunction

# TFunction_Iterator Class Reference

Iterator of the graph of functions
.

`#include <TFunction_Iterator.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TFunction_Iterator ()
| An empty constructor. .
Standard_EXPORT | TFunction_Iterator (const TDF_Label &Access)
| A constructor. Initializes the iterator. .
virtual Standard_EXPORT void | Init (const TDF_Label &Access)
| Initializes the Iterator. .
Standard_EXPORT void | SetUsageOfExecutionStatus (const Standard_Boolean usage)
| Defines the mode of iteration - usage or not of the execution status. If the iterator takes into account the execution status, the method ::Current() returns only "not executed" functions while their status is not changed. If the iterator ignores the execution status, the method ::Current() returns the functions following their dependencies and ignoring the execution status. .
Standard_EXPORT Standard_Boolean | GetUsageOfExecutionStatus () const
| Returns usage of execution status by the iterator. .
virtual Standard_EXPORT Standard_Integer | GetMaxNbThreads () const
| Analyses the graph of dependencies and returns maximum number of threads may be used to calculate the model. .
virtual Standard_EXPORT const TDF_LabelList & | Current () const
| Returns the current list of functions. If the iterator uses the execution status, the returned list contains only the functions with "not executed" status. .
virtual Standard_EXPORT Standard_Boolean | More () const
| Returns false if the graph of functions is fully iterated. .
virtual Standard_EXPORT void | Next ()
| Switches the iterator to the next list of current functions. .
Standard_EXPORT TFunction_ExecutionStatus | GetStatus (const TDF_Label &func) const
| A help-function aimed to help the user to check the status of retrurned function. It calls TFunction_GraphNode::GetStatus() inside. .
Standard_EXPORT void | SetStatus (const TDF_Label &func, const TFunction_ExecutionStatus status) const
| A help-function aimed to help the user to change the execution status of a function. It calls TFunction_GraphNode::SetStatus() inside. .
Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &OS) const
## Private Attributes
TDF_LabelList | myCurrent
Standard_Boolean | myUsageOfExecutionStatus
TDF_LabelMap | myPassedFunctions
Handle_TFunction_Scope | myScope

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_Iterator::TFunction_Iterator | ( |  | ) |

Standard_EXPORT TFunction_Iterator::TFunction_Iterator | ( | const TDF_Label & | Access | ) |

## Member Function Documentation

virtual Standard_EXPORT const TDF_LabelList& TFunction_Iterator::Current | ( |  | ) | const`[virtual]`

Standard_EXPORT Standard_OStream& TFunction_Iterator::Dump | ( | Standard_OStream & | OS | ) | const

virtual Standard_EXPORT Standard_Integer TFunction_Iterator::GetMaxNbThreads | ( |  | ) | const`[virtual]`

Standard_EXPORT TFunction_ExecutionStatus TFunction_Iterator::GetStatus | ( | const TDF_Label & | func | ) | const

Standard_EXPORT Standard_Boolean TFunction_Iterator::GetUsageOfExecutionStatus | ( |  | ) | const

virtual Standard_EXPORT void TFunction_Iterator::Init | ( | const TDF_Label & | Access | ) | `[virtual]`

virtual Standard_EXPORT Standard_Boolean TFunction_Iterator::More | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void TFunction_Iterator::Next | ( |  | ) | `[virtual]`

void TFunction_Iterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TFunction_Iterator::operator new | ( | size_t | size | ) | `[inline]`

void* TFunction_Iterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void TFunction_Iterator::SetStatus | ( | const TDF_Label & | func,
|  | const TFunction_ExecutionStatus | status
| ) | const

Standard_EXPORT void TFunction_Iterator::SetUsageOfExecutionStatus | ( | const Standard_Boolean | usage | ) |

## Field Documentation

TDF_LabelList TFunction_Iterator::myCurrent`[private]`

TDF_LabelMap TFunction_Iterator::myPassedFunctions`[private]`

Handle_TFunction_Scope TFunction_Iterator::myScope`[private]`

Standard_Boolean TFunction_Iterator::myUsageOfExecutionStatus`[private]`

The documentation for this class was generated from the following file:

- TFunction_Iterator.hxx